# Contains the `Die` class for generating d6 rolls.

# `Die` provides `roll` method to generate d6 roll. Also provides `number`
# accessor to get the last rolled number.
require_relative 'auditable'

class Die
  include Auditable
  attr_reader :number

  def roll
    @number = rand 1..6
    audit
    @number
  end
end
