require_relative 'die'
require_relative 'treasure_trove'

# GameTurn provides a `take_turn` method take takes a `Player` parameter
#
# @param player [Player] the player taking the turn
module GameTurn
  def self.take_turn(player)
    case Die.new.roll
    when 1..2
      player.blam
    when 3..4
      puts "#{player.name} was skipped."
    else
      player.w00t
    end

    treasure = TreasureTrove.random
    player.found_treasure treasure
  end
end
