require_relative 'player'

# Berserk players ignore blams after getting w00ted several times
class BerserkPlayer < Player
  def initialize(name, health = 100)
    super
    @w00t_count = 0
  end

  def berserk?
    @w00t_count > 5
  end

  def w00t
    super
    @w00t_count += 1
    puts "#{@name} is berserk!" if berserk?
  end

  def blam
    berserk? ? w00t : super
  end
end
